%{!?__chkconfig:%define __chkconfig	/sbin/chkconfig}
%define pkglibdir	%_libdir/%name
%define pkgcfgdir	%_sysconfdir/djinni.d

Summary:	Djinni client tools
Name:		vserver-djinni
Version:	0.3
Release:	0
Epoch:		0
License:	GPL
Group:		Applications/System
URL:		xxx
Source0:	%name-%version.tar.bz2
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	util-vserver-devel >= 0:0.23.190
%{!?_without_dietlibc:BuildRequires:	dietlibc}
#Requires:	init(%name)

%package sysv
Summary:	SysV initscripts for %name
Group:		Applications/System
Provides:	init(%name)
Requires:	%name = %epoch:%version-%release
Requires(pre,postun):	initscripts
Requires(post,preun):	initscripts %__chkconfig


%package server
Summary:	Djinni server tools
Group:		System Environment/Daemons
Requires:	init(%name-server)

%package server-sysv
Summary:	SysV initscripts for %name-server
Group:		System Environment/Daemons
Provides:	init(%name-server)
Requires:	%name-server = %epoch:%version-%release
Requires(pre,postun):	initscripts
Requires(post,preun):	initscripts %__chkconfig


%description
%description sysv
%description server
%description server-sysv

%prep
%setup -q

%build
%configure --with-initrddir='%_initrddir'
%__make %{?_smp_mflags} %{!?_without_dietlibc:CC='diet -Os %__cc'}


%install
rm -rf $RPM_BUILD_ROOT
%__make DESTDIR="$RPM_BUILD_ROOT" install install-sysv


%clean
rm -rf $RPM_BUILD_ROOT


%post sysv
%__chkconfig --add djinni-rub

%preun sysv
test "$1" != 0 || %_initrddir/djinni-rub stop >/dev/null
test "$1" != 0 || %__chkconfig --del djinni-rub


%post server-sysv
%__chkconfig --add djinnid

%preun server-sysv
test "$1" != 0 || %_initrddir/djinnid stop >/dev/null
test "$1" != 0 || %__chkconfig --del djinnid


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%dir /var/lib/djinni
%dir /var/lib/djinni/run
%_sbindir/djinni
%_sbindir/djinni-rub
%dir %pkglibdir
%pkglibdir/exec-cd


%files sysv
%defattr(-,root,root,-)
%config %_initrddir/djinni-rub


%files server
%defattr(-,root,root,-)
%_sbindir/djinnid
%pkglibdir
%dir /var/lib/djinni
%dir /var/lib/djinni/state
%dir /var/log/djinnid
%dir %pkgcfgdir


%files server-sysv
%defattr(-,root,root,-)
%config %_initrddir/djinnid


%changelog
* Wed Oct 29 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 0:0.1-1
- Initial build.
